Loading...
Searching...
No Matches
fastjet::Dnn4piCylinder Class Reference

More...

`#include <fastjet/internal/Dnn4piCylinder.hh>`

Inheritance diagram for fastjet::Dnn4piCylinder:
[legend]
Collaboration diagram for fastjet::Dnn4piCylinder:
[legend]

## Public Member Functions

| Dnn4piCylinder ()
| empty initaliser
| Dnn4piCylinder (const std::vector< EtaPhi > &, const bool &verbose=false)
| Initialiser from a set of points on an Eta-Phi plane, where eta can have an arbitrary ranges and phi must be in range 0 <= phi < 2pi.
int | NearestNeighbourIndex (const int ii) const
| Returns the index of the nearest neighbour of point labelled by ii (assumes ii is valid).
double | NearestNeighbourDistance (const int ii) const
| Returns the distance to the nearest neighbour of point labelled by index ii (assumes ii is valid).
bool | Valid (const int index) const
| Returns true iff the given index corresponds to a point that exists in the DNN structure (meaning that it has been added, and not removed in the meantime).
void | RemoveAndAddPoints (const std::vector< int > &indices_to_remove, const std::vector< EtaPhi > &points_to_add, std::vector< int > &indices_added, std::vector< int > &indices_of_updated_neighbours)
| insertion and removal of points
Public Member Functions inherited from fastjet::DynamicNearestNeighbours
void | RemovePoint (const int index, std::vector< int > &indices_of_updated_neighbours)
| Remove the point labelled by index and return the list of points whose nearest neighbours have changed in the process.
void | RemoveCombinedAddCombination (const int index1, const int index2, const EtaPhi &newpoint, int &index3, std::vector< int > &indices_of_updated_neighbours)
| Removes the two points labelled by index1, index2 and adds in the a point with coordinates newpoint; it returns an index for the new point (index 3) and a std::vector of indices of neighbours whose nearest neighbour has changed (the list includes index3, i.e.
virtual | ~DynamicNearestNeighbours ()
| destructor – here it is now implemented

## Detailed Description

Definition at line 49 of file Dnn4piCylinder.hh.

## Constructor & Destructor Documentation

## Dnn4piCylinder()

fastjet::Dnn4piCylinder::Dnn4piCylinder | ( |  | ) |

inline

empty initaliser

Definition at line 52 of file Dnn4piCylinder.hh.

## ~Dnn4piCylinder()

fastjet::Dnn4piCylinder::~Dnn4piCylinder | ( |  | ) |

inline

Definition at line 121 of file Dnn4piCylinder.hh.

## Member Function Documentation

## NearestNeighbourIndex()

int fastjet::Dnn4piCylinder::NearestNeighbourIndex | ( | const int | ii | ) | const

inline virtual

Returns the index of the nearest neighbour of point labelled by ii (assumes ii is valid).

Implements fastjet::DynamicNearestNeighbours.

Definition at line 102 of file Dnn4piCylinder.hh.

## NearestNeighbourDistance()

double fastjet::Dnn4piCylinder::NearestNeighbourDistance | ( | const int | ii | ) | const

inline virtual

Returns the distance to the nearest neighbour of point labelled by index ii (assumes ii is valid).

Implements fastjet::DynamicNearestNeighbours.

Definition at line 109 of file Dnn4piCylinder.hh.

## Valid()

bool fastjet::Dnn4piCylinder::Valid | ( | const int | index | ) | const

inline virtual

Returns true iff the given index corresponds to a point that exists in the DNN structure (meaning that it has been added, and not removed in the meantime).

Implements fastjet::DynamicNearestNeighbours.

Definition at line 116 of file Dnn4piCylinder.hh.

## RemoveAndAddPoints()

void fastjet::Dnn4piCylinder::RemoveAndAddPoints | ( | const std::vector< int > & | indices_to_remove,
|  | const std::vector< EtaPhi > & | points_to_add,
|  | std::vector< int > & | indices_added,
|  | std::vector< int > & | indices_of_updated_neighbours )

virtual

insertion and removal of points

Implements fastjet::DynamicNearestNeighbours.

Definition at line 61 of file Dnn4piCylinder.cc.

The documentation for this class was generated from the following files:

- include/fastjet/internal/Dnn4piCylinder.hh
- src/Dnn4piCylinder.cc